Net::Write::Layer(3)

NAME
Net::Write::Layer - base class and constants

SYNOPSIS
   use Net::Write::Layer qw(:constants);

DESCRIPTION
This is the base class for Net::Write::Layer2, Net::Write::Layer3 and Net::Write::Layer4 modules.

It just provides those layers with inheritable attributes, methods and constants.

ATTRIBUTES

dev Network interface to use.

dst Target IPv4 or IPv6 address.

protocol
    Transport layer protocol to use (TCP, UDP, ...).

family
    Adresse family to use (NW_AF_INET, NW_AF_INET6).

METHODS

new Object constructor. Returns undef on error.

open
    Open the descriptor, when you are ready to send. Returns undef on error.

send (scalar)
    Send the raw data passed as a parameter. Returns undef on failure, true otherwise.

close
    Close the descriptor.

CONSTANTS

NW_AF_INET
NW_AF_INET6
NW_AF_UNSPEC
    Address family constants, for use with family attribute.

NW_IPPROTO_IP
NW_IPPROTO_IPv6
NW_IPPROTO_ICMPv4
NW_IPPROTO_TCP
NW_IPPROTO_UDP
NW_IPPROTO_ICMPv6
    Transport layer protocol constants, for use with protocol attribute.

NW_IP_HDRINCL
NW_IPPROTO_RAW
    Mostly used internally.

SEE ALSO
Net::Write::Layer2, Net::Write::Layer3, Net::Write::Layer4

AUTHOR
Patrice <GomoR> Auffret

COPYRIGHT AND LICENSE
Copyright (c) 2006-2012, Patrice <GomoR> Auffret

You may distribute this module under the terms of the Artistic license. See LICENSE.Artistic file in the source distribution archive.